SftpURLConnection (JFtp)
Date: 2011-08-31

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jftp.net.wrappers
Class SftpURLConnection

    java.lang.Object
      java.net.URLConnection
          net.sf.jftp.net.wrappers.SftpURLConnection

    public class SftpURLConnection

extends java.net.URLConnection

Field Summary

Fields inherited from class java.net.URLConnection
`allowUserInteraction, connected, doInput, doOutput, ifModifiedSince, url, useCaches`

Constructor Summary
`SftpURLConnection(java.net.URL u)`

Method Summary
`void` | `connect()`
`java.lang.String` | `getHost()`
`java.io.InputStream` | `getInputStream()`
`boolean` | `getLoginResponse()`
`java.io.OutputStream` | `getOutputStream()`
`java.lang.String` | `getPass()`
`int` | `getPort()`
`SftpConnection` | `getSftpConnection()`
`java.lang.String` | `getUser()`
`boolean` | `loginSucceeded()`

Methods inherited from class java.net.URLConnection
`addRequestProperty, getAllowUserInteraction, getConnectTimeout, getContent, getContent, getContentEncoding, getContentLength, getContentType, getDate, getDefaultAllowUserInteraction, getDefaultRequestProperty, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderField, getHeaderField, getHeaderFieldDate, getHeaderFieldInt, getHeaderFieldKey, getHeaderFields, getIfModifiedSince, getLastModified, getPermission, getReadTimeout, getRequestProperties, getRequestProperty, getURL, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setConnectTimeout, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setReadTimeout, setRequestProperty, setUseCaches, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SftpURLConnection

    public SftpURLConnection(java.net.URL u)

Method Detail

### connect

    public void connect()
                 throws java.io.IOException

  Specified by:
    `connect` in class `java.net.URLConnection`
  Throws:
    `java.io.IOException`

### getSftpConnection

    public SftpConnection getSftpConnection()

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Overrides:
    `getInputStream` in class `java.net.URLConnection`
  Throws:
    `java.io.IOException`

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  Overrides:
    `getOutputStream` in class `java.net.URLConnection`
  Throws:
    `java.io.IOException`

### getUser

    public java.lang.String getUser()

### getPass

    public java.lang.String getPass()

### getHost

    public java.lang.String getHost()

### getPort

    public int getPort()

### getLoginResponse

    public boolean getLoginResponse()

### loginSucceeded

    public boolean loginSucceeded()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD